<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/mainbg">

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/ll_roomId"
        android:layout_marginBottom="50dp"
        android:layout_centerHorizontal="true"
        android:background="@drawable/login_headbg"
        android:src="@drawable/login_head" />

    <LinearLayout
        android:id="@+id/ll_roomId"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:layout_marginBottom="20dp"
        android:layout_centerInParent="true">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:layout_gravity="center_vertical"
            android:text="房间号"
            android:textSize="16sp"
            android:textColor="@android:color/white"/>

        <EditText
            android:id="@+id/etRoomId"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="请输入房间号"
            android:layout_centerInParent="true"
            android:textSize="16sp"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_userName"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_below="@+id/ll_roomId"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:layout_marginBottom="20dp"
        android:layout_centerInParent="true">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:layout_gravity="center_vertical"
            android:text="用户名"
            android:textSize="16sp"
            android:textColor="@android:color/white"/>

        <EditText
            android:id="@+id/etUserName"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="请输入用户名"
            android:layout_centerInParent="true"
            android:textSize="16sp"/>
    </LinearLayout>

    <Button
        android:id="@+id/id_joinRoom"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_below="@+id/ll_userName"
        android:layout_marginStart="50dp"
        android:layout_marginLeft="50dp"
        android:layout_marginTop="50dp"
        android:layout_marginEnd="50dp"
        android:background="@drawable/btn_selector"
        android:onClick="onClickJoinRoom"
        android:text="加入房间"
        android:textColor="@android:color/white"
        android:textSize="20sp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_below="@+id/id_joinRoom"
        android:layout_marginTop="20dp"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:layout_marginBottom="20dp"
        android:layout_centerInParent="true"
        android:visibility="gone">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:layout_gravity="center_vertical"
            android:text="VideoName"
            android:textSize="16sp"
            android:textColor="@android:color/white"/>

        <EditText
            android:id="@+id/etTag"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="输入视频描述"
            android:layout_centerInParent="true"
            android:textSize="16sp"/>
    </LinearLayout>

</RelativeLayout>
